<!--#INCLUDE VIRTUAL="/WS_Content/Includes/i_Includes.asp"-->
<!--#INCLUDE FILE="Display/i_Structure.asp"-->
<!--#INCLUDE FILE="Function/i_Administration.asp"-->
<!--#INCLUDE FILE="Display/i_Links.asp"-->
<%
	Const PUBLIC_GALLERIES			= 1
	Const PRIVATE_GALLERIES			= 2
	
	' these two tell which thumbnail conversion component to use
	Const ASPIMAGE					= 1
	Const GFL						= 2
	Const IMAGEMAGICK				= 3
	Const PERSITS					= 4
	
	Dim iImageUnq, iGalleryUnq, sAccountUnq, FileName, sName, sDescription, sVisibility
	Dim iDBLoc, iNumPerPage, iTtlNumItems, sA, bEditOn, bAdvanced
	Dim sComments, sAltTag, rsGallery, iImageNum, sGalleryName, sPath, sGalleryPath
	Dim iFormColumns, iFormWidth, iThumbComponent

	'************************************************************************************
	'*																					*
	'*	Open the connection and command objects for the ImageGallery database.	 		*
	'*																					*
	'************************************************************************************
	Sub DB_OpenImageGallery()
		
		sPath 			= DOMAIN_Conf("IMAGEGALLERY_SPATH")
		sGalleryPath 	= DOMAIN_Conf("IG")
		iColorScheme 	= DOMAIN_Conf("IMAGEGALLERY_COLORS")
		iTextScheme 	= DOMAIN_Conf("IMAGEGALLERY_TEXT")
		iTableWidth 	= DOMAIN_Conf("IMAGEGALLERY_TABLEWIDTH")	' this can be a percentage. ie. "100%". so don't convert to an INT
		iFormColumns 	= CDbl(Trim(DOMAIN_Conf("IMAGEGALLERY_FORMCOLUMNS")))
		iFormWidth 		= CDbl(Trim(DOMAIN_Conf("IMAGEGALLERY_FORMWIDTH")))
		
		If ( iFormWidth < 21 ) Then	' it's usually got 20 taken away from it - see the search.asp file for examples
			iFormWidth = 30
		End If
		
		If ( iFormColumns < 5 ) Then
			iFormColumns = 5
		End If
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Close the connection and command objects for the databases.			 			*
	'*																					*
	'************************************************************************************
	Sub DB_CloseImageGallery()
		SET DBConnection = nothing
		SET DBCommand = nothing
	End Sub
	'************************************************************************************


	'************************************************************************************
	'*																					*
	'*	Replaces crazy characters in file names with underscores.						*
	'*																					*
	'************************************************************************************
	Function FixFilename(sName, sType)
		Dim sCrazy, x, cChar, iLen, lf, sFilePath, iCount, sOriginalName

		sCrazy			= "=+,{};'`~!@#$%^&() []\/*?:"""	' left out . _ -
		iLen			= Len(sName)
		iCount			= 0
		sOriginalName	= sName

		' replace the crazy characters AND characters less than Asc 32 or greater than Asc 126
		For x = 1 to iLen
			cChar = Mid(sName, x, 1)
			If ( Asc(cChar) < 32 ) Or ( Asc(cChar) > 126 ) Or ( InStr(sCrazy, cChar) > 0 ) Then
				' Found a character outside the normal range - replace it with an underscore
				sName = Left(sName, x-1) & "-" & Right(sName, iLen - x)
			End If
		Next

		Set lf = server.createObject("Scripting.FileSystemObject")
		If ( sType = "SECONDARY" ) Then
			sName = "Resized_" & sName
		End If
		If ( sType = "THUMB" ) Then
			sFilePath	= "/" & sGalleryPath & "/" & sAccountUnq & "/" & iGalleryUnq & "/Thumbnails/" & sName
		Else
			sFilePath	= "/" & sGalleryPath & "/" & sAccountUnq & "/" & iGalleryUnq & "/" & sName
		End If
		sFilePath	= Replace(sFilePath, "\", "/")
		sFilePath	= Replace(sFilePath, "//", "/")
		' check for the file first...w/o changing sName. If it IS found, then modify sName and check until not found
		While ( lf.FileExists(Server.MapPath(sFilePath)) )
			iCount		= iCount + 1
			sName		= sOriginalName	' set it back to what it was originally and try the next iCount on it
			sName		= iCount & sName
			If ( sType = "THUMB" ) Then
				sFilePath	= "/" & sGalleryPath & "/" & sAccountUnq & "/" & iGalleryUnq & "/Thumbnails/" & sName
			Else
				sFilePath	= "/" & sGalleryPath & "/" & sAccountUnq & "/" & iGalleryUnq & "/" & sName
			End If
			sFilePath	= Replace(sFilePath, "\", "/")
			sFilePath	= Replace(sFilePath, "//", "/")
		Wend
		Set lf = Nothing

		FixFilename = sName
	End Function
	'************************************************************************************


	
	
	'************************************************************************************
	'*																					*
	'*	Strips HTML and replaces HTMLCodes with the proper HTML.			 			*
	'*																					*
	'************************************************************************************
	Function StripCodes(sBody)
		Dim sKeyArray, sUCaseVersion, x, BegPos, EndPos, CheckPos, sTemp, sContent
		Dim sQOpen, sQClose
dim icount
icount = 0

		sKeyArray = Array("B", "U", "I", "BLOCKQUOTE", "CODE", "OL", "UL", "URL", "EMAIL", "IMG", "PRE", "Q", "P", "b", "u", "i", "blockquote", "code", "ol", "ul", "url", "email", "img", "pre", "q", "p")
		
		StripCodes = Replace(sBody, ">", "&GT;")
		StripCodes = Replace(StripCodes, "<", "&LT;")
		sUCaseVersion = UCase(StripCodes)
		sQOpen = "<blockquote><table cellpadding=5 cellspacing=0 bordercolor=" & DOMAIN_Color("GalleriesBorderColor2") & " border=1><tr><td bgcolor=" & DOMAIN_Color("GalleriesBGColor2") & "><font color=" & DOMAIN_Color("GalleriesTextColor2") & ">"
		sQClose = "</td></tr></table></blockquote>"
		
		' Now check the string for any &gt;BLOCKQUOTE&lt; stuff and it's corresponding closing &gt;/BLOCKQUOTE&lt;
		' If there is no second opening one after the first opening one and before the closing one, then convert 
		'	the &gt;BLOCKQUOTE&lt; and &gt;/BLOCKQUOTE&lt; back into <BLOCKQUOTE> and </BLOCKQUOTE>
		' The exception to the rule is the "LI". Leave this in no matter what...it can't hurt.
		for x = 0 to UBound(sKeyArray)
			BegPos = InStr(sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
			EndPos = InStr(BegPos + 1, sUCaseVersion, "&LT;/" & sKeyArray(x) & "&GT;")
			while BegPos > 0 and icount < 60
icount = icount + 1
				CheckPos	= InStr(BegPos + 1, sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
				if CheckPos = 0 or CheckPos > EndPos then
					' It's ok
					sTemp = left(StripCodes, BegPos - 1)
					select case sKeyArray(x)
						case "URL"
							StripCodes = Replace(StripCodes, "&LT;URL&GT;", "<a href = ""http://", BegPos, 1, 1)
						case "EMAIL"
							StripCodes = Replace(StripCodes, "&LT;EMAIL&GT;", "<a href = ""mailto:", BegPos, 1, 1)
						case "IMG"
							StripCodes = Replace(StripCodes, "&LT;IMG&GT;", "<img src = ""http://", BegPos, 1, 1)
						Case "Q"
							' quoted text - put in a cool box
							StripCodes = Replace(StripCodes, "&LT;Q&GT;", sQOpen, BegPos, 1, 1)
							EndPos = EndPos + (Len(sQOpen) - Len("&LT;Q&GT;"))		' this is the difference in len between the original and replaced
						case else
							StripCodes = Replace(StripCodes, "&LT;" & sKeyArray(x) & "&GT;", "<" & sKeyArray(x) & ">", BegPos, 1, 1)
							EndPos = EndPos - 6
					end select
					StripCodes = sTemp & StripCodes

					sTemp = left(StripCodes, EndPos - 1)
					select case sKeyArray(x)
						case "URL"
							sContent = mid(StripCodes, BegPos + Len("<a href = ""http://"), (Len("<a href = ""http://") - Len("&LT;URL&GT;") + EndPos) - (BegPos + Len("<a href = ""http://")))
							StripCodes = Replace(StripCodes, "&LT;/URL&GT;", """ class='MediumNavPage'>" & sContent & "</a>", EndPos, 1, 1)
						case "EMAIL"
							sContent = mid(StripCodes, BegPos + Len("<a href = ""mailto:"), (Len("<a href = ""mailto:") - Len("&LT;EMAIL&GT;") + EndPos) - (BegPos + Len("<a href = ""mailto:")))
							StripCodes = Replace(StripCodes, "&LT;/EMAIL&GT;", """ class='MediumNavPage'>" & sContent & "</a>", EndPos, 1, 1)
						case "IMG"
							sContent = mid(StripCodes, BegPos + Len("<img src = ""http://"), (Len("<img src = ""http://") - Len("&LT;IMG&GT;") + EndPos) - (BegPos + Len("<img src = ""http://")))
							StripCodes = Replace(StripCodes, "&LT;/IMG&GT;", """>", EndPos, 1, 1)
						Case "Q"
							sContent = mid(StripCodes, BegPos + Len(sQOpen), EndPos - (BegPos + Len(sQOpen)))
							StripCodes = Replace(StripCodes, "&LT;/Q&GT;", sQClose, EndPos, 1, 1)
						case else
							StripCodes = Replace(StripCodes, "&LT;/" & sKeyArray(x) & "&GT;", "</" & sKeyArray(x) & ">", EndPos, 1, 1)
					end select
					StripCodes = sTemp & StripCodes
					sUCaseVersion = UCase(StripCodes)
					BegPos = InStr(sUCaseVersion, "&LT;" & sKeyArray(x) & "&GT;")
					EndPos = InStr(BegPos + 1, sUCaseVersion, "&LT;/" & sKeyArray(x) & "&GT;")
				else
					' its either not found (then it's 0...so the loop will stop) or it's before the endpos (so it should start again)
					BegPos = CheckPos
				end if
			wend
		next
		
		StripCodes = Replace(StripCodes, "&LT;LI&GT;", "<LI>")
		StripCodes = Replace(StripCodes, "&LT;li&GT;", "<LI>")
		StripCodes = Replace(StripCodes, "&LT;BR&GT;", "<BR>")
		StripCodes = Replace(StripCodes, "&LT;br&GT;", "<BR>")
		StripCodes = Replace(StripCodes, "&LT;HR&GT;", "<HR>")
		StripCodes = Replace(StripCodes, "&LT;hr&GT;", "<HR>")

	End Function
	'************************************************************************************
%>