<%
	'************************************************************************************
	'*																					*
	'*	This returns the status of the current users access rights for the message		*
	'*																					*
	'************************************************************************************
	Function GetMessageAccess(iConfUnq, iThreadUnq, iMsgUnq)
		Dim rsMsgBoard2, sSQLText, rsMsgBoard
	
		GetMessageAccess = ""
		If ( bHasAccount ) Then
			If ( ACCNT_SpecificDomain("SB_MB_BOARDS", iDomainName) Or ACCNT_SpecificDomain("SB_MB_ADMIN", iDomainName) Or IsAdmin(iConfUnq, iLoginAccountUnq) ) Then
				' admin's and moderators get full access
				GetMessageAccess = "E"
			Else
				' check to see if the global setting is set
				Set rsMsgBoard = CreateObject("ADODB.Recordset")
				' check for this specific users access
				sSQLText = "SELECT Status FROM LockedAccounts (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq & " AND AccountUnq = " & iLoginAccountUnq
				rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
				If ( rsMsgBoard.EOF ) Then
					rsMsgBoard.Close
					' find the Groups this user is in and check their access
					Set rsMsgBoard2 = CreateObject("ADODB.Recordset")
					sSQLText = "SELECT G.GroupUnq FROM GroupMap M (NOLOCK), Groups G (NOLOCK) WHERE M.AccountUnq = " & iLoginAccountUnq & " AND M.GroupUnq = G.GroupUnq AND G.DomainUnq = " & iDomainName & " AND G.DomainUnq = M.DomainUnq"
					rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
					If ( NOT rsMsgBoard.EOF ) Then
						Do While ( NOT rsMsgBoard.EOF )
							' loop through all the Groups the user is in, checking if the Group is in the list of Groups that can access this message
							sSQLText = "SELECT Status FROM LockedGroups (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq & " AND GroupUnq = " & rsMsgBoard("GroupUnq")
							rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
							If ( NOT rsMsgBoard2.EOF ) Then
								GetMessageAccess = Trim(rsMsgBoard2("Status"))
								Exit Do
							End If
							rsMsgBoard2.Close
							rsMsgBoard.MoveNext
						Loop
					End If
					rsMsgBoard.Close
					If ( GetMessageAccess = "" ) Then
						' not found anywhere for the individual so fall back on the global setting - do it this way because
						'	if we choose the global setting first, we might miss the fact that the individual may have more
						'	access than the global access!
						sSQLText = "SELECT Status FROM LockedAccounts (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq & " AND AccountUnq = -1"
						rsMsgBoard2.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
						If ( rsMsgBoard2.EOF ) Then
							GetMessageAccess = ""
						Else
							' all users have the same access
							If ( Trim(rsMsgBoard2("Status")) = "-1" ) Then
								GetMessageAccess = "E"
							Else
								GetMessageAccess = Trim(rsMsgBoard2("Status"))
							End If
						End If
						rsMsgBoard2.Close
					End If
					Set rsMsgBoard2 = Nothing
				Else
					GetMessageAccess = Trim(rsMsgBoard("Status"))
					rsMsgBoard.Close
				End If
				Set rsMsgBoard = Nothing
			End If
		Else
			' must check the LockedNonMember table to see what nonmembers (or logged out members) can view and do
			Set rsMsgBoard = CreateObject("ADODB.Recordset")
			sSQLText = "SELECT Status FROM LockedNonMember (NOLOCK) WHERE ConfUnq = " & iConfUnq & " AND ThreadUnq = " & iThreadUnq & " AND MsgUnq = " & iMsgUnq
			rsMsgBoard.Open sSQLText, DBConnection, adOpenKeyset, adLockReadOnly, adCmdText
			If ( NOT rsMsgBoard.EOF ) Then
				GetMessageAccess = Trim(rsMsgBoard("Status"))
			Else
				' it's not even there, so...
				GetMessageAccess = ""
			End If
			rsMsgBoard.Close
			Set rsMsgBoard = Nothing
		End If
	
	End Function
	'************************************************************************************
%>