<%
	'************************************************************************************
	'*																					*
	'*	Enters in the rights.															*
	'*																					*
	'************************************************************************************
	Sub SetRights()
		' the first part of the rights level (the numeric part) is the domain associated with the rights
		' the second part of the rights level (the character part) is the specific action or item associated with the right
		'	such as being able to delete an account or edit ADV's
		'MESSAGE BOARD
		'	Administer board moderators:	SB_MB_ADMIN
		'	Admin member variables:			SB_MB_VARS	' this is so MB admin's can change things like SB_MB_DisplayXDays but can't change things like SB_Address
		'	Add/Edit/Delete boards:			SB_MB_BOARDS
		'	Change board moderation:		SB_MB_MODERATION
		'	View past log - MsgBoard		SB_LOG_VIEW_2
		'	Delete past log - MsgBoard		SB_LOG_DELETE_2
		'	Rollback log - MsgBoard			SB_LOG_ROLLBACK_2
		'CONFIGURATION VARIABLES
		'	Change MsgBoard System Color:	SB_MC_CHANGE_MSGBOARD_COLORS
		'	View MsgBoard System Color:		SB_MC_VIEW_MSGBOARD_COLORS
		'	Change MsgBoard System Text:	SB_MC_CHANGE_MSGBOARD_TEXT
		'	View MsgBoard System Text:		SB_MC_VIEW_MSGBOARD_TEXT
		'	Change SB_MAX_DOMAIN_BOARDS conf var:	SB_CONF_EDIT_MAX_DOMAIN_BOARDS
		'	View SB_MAX_DOMAIN_BOARDS conf var:		SB_CONF_VIEW_MAX_DOMAIN_BOARDS
		'	Change SB_MAX_DOMAIN_MESSAGES conf var:	SB_CONF_EDIT_MAX_DOMAIN_MESSAGES
		'	View SB_MAX_DOMAIN_MESSAGES conf var:	SB_CONF_VIEW_MAX_DOMAIN_MESSAGES


		' Enter the rights constants
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MB_ADMIN','Administer board moderators',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MB_VARS','Admin member variables',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MB_BOARDS','Add/Edit/Delete boards',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MB_MODERATION','Change which boards are moderated.',2 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_VIEW_2','View past log entries - Message Board',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_DELETE_2','Delete past log entries - Message Board',2 FROM DomainInfo"
		'DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_LOG_ROLLBACK_2','Rollback log - Message Board',2 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_MSGBOARD_COLORS','Edit the MSGBOARD_COLORS Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_MSGBOARD_COLORS','View the MSGBOARD_COLORS Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_MSGBOARD_TEXT','Edit the MSGBOARD_TEXT Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_MSGBOARD_TEXT','View the MSGBOARD_TEXT Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_EDIT_MAX_DOMAIN_BOARDS','Change SB_MAX_DOMAIN_BOARDS Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_BOARDS','View the SB_MAX_DOMAIN_BOARDS Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_EDIT_MAX_DOMAIN_MESSAGES','Change the SB_MAX_DOMAIN_MESSAGES Configuration Variable',2 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_MESSAGES','View the SB_MAX_DOMAIN_MESSAGES Configuration Variable',2 FROM DomainInfo"
		
		' Give the admin ALL rights
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 1,0,2,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 2"
		
		' Give the admin group ALL rights too
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 0,1,2,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 2"

	End Sub
	'************************************************************************************
%>