<%
	'************************************************************************************
	'*																					*
	'*	This saves the catalog image. 													*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_SaveCatalogFile(iCatUnq, iDomainUnq)
		Dim sFilePath, sError, sFileName, iFileSize, iTemp
		
		Call DelOldCatFiles(iCatUnq, iDomainUnq)

		sFileName	= objUpload("File1").FileName
		If ( sFileName <> "" ) Then
			' check to make sure that:
			'		the file is not too big
			iFileSize	= objUpload("File1").Length
			iTemp		= CDbl(Trim(DOMAIN_Conf_W_DomainUnq("SB_NEWS_INITIAL_UPLOADBYTES", iDomainUnq)))
			If ( ( iTemp < iFileSize ) And ( iTemp <> -1 ) ) Then
				Call DOMAIN_Message(DOMAIN_Text("NEWS_FILE_EXCEEDS_MAXSIZE"), "ERROR")
			Else
				sFilePath = "/" & DOMAIN_Conf_W_DomainUnq("SB_NEWS_CAT_IMAGE_LOC", iDomainUnq) & "/" & "CatImage_" & iCatUnq & ".jpg"
				sFilePath = Replace(sFilePath, "\", "/")
				sFilePath = Replace(sFilePath, "//", "/")
				
				objUpload("File1").SaveAs Server.MapPath(sFilePath)
			End If
		End If
		
		G_UPLOAD_SaveCatalogFile = sError
	
	End Function
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes the old catalog image.												*
	'*																					*
	'************************************************************************************
	Sub DelOldCatFiles(iCatUnq, iDomainUnq)
		Dim sFilePath, lf
		
		If ( iCatUnq <> "" ) Then
			' delete the file
			Set lf = server.createObject("Scripting.FileSystemObject")
			sFilePath = "/" & DOMAIN_Conf_W_DomainUnq("SB_NEWS_CAT_IMAGE_LOC", iDomainUnq) & "/" & "CatImage_" & iCatUnq & ".jpg"
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			sFilePath = Server.MapPath(sFilePath)
			If ( lf.FileExists(sFilePath) ) Then
				' the file exists - delete it
				lf.DeleteFile(sFilePath)
			End If
		End If

	End Sub
	'************************************************************************************
	
	

	'************************************************************************************
	'*																					*
	'*	This saves the file (if any).													*
	'*																					*
	'************************************************************************************
	Function G_UPLOAD_SaveFile()
		Dim lf, sPos, SavePath, SaveFile, sFilePath, iTtlUploaded, iNumUploaded
		Dim sError, iTemp, sTemp
		
		Call DelOldFiles()
		
		sTemp = Request.Cookies("NewsUnq" & iDomainName)
		If ( sTemp <> "" ) Then
			' also delete old entry in the database (a new NewsUnq has already been created
			DBConnection.Execute "DELETE FROM News WHERE NewsUnq = " & sTemp
			' clear the cookie since the entry has been deleted
			Response.Cookies("NewsUnq" & iDomainName) = ""
			Response.Cookies("NewsUnq" & iDomainName).Path = "/"
			Response.Cookies("NewsUnq" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
			Response.Cookies("NewsUnq" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
		End If
		
		'Save the actual posted file (If supporting more than one file, turn this into a loop!)
		Set lf = server.createObject("Scripting.FileSystemObject")

		sFileName = objUpload("File1").FileName
		If ( sFileName <> "" ) Then
			' get the extension
			sExtension		= objUpload("File1").FileExt
			
			' get a random file name for the uploaded file. don't use it's real filename
			Randomize
			Do
				' doing it this weird way so we can get the file name w/o the extension easier for the thumbnail
				sFileID		= iLoginAccountUnq & "_" & Int((999999 * Rnd) + 1) & "." & sExtension
				sFilePath	= "/" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "/" & sFileID
				sFilePath = Replace(sFilePath, "\", "/")
				sFilePath = Replace(sFilePath, "//", "/")
			Loop While ( lf.FileExists(sFilePath) )
			
			iFileSize = objUpload("File1").Length
			' check to make sure that:
			'		the file is not too big according to SB_NEWS_INITIAL_UPLOADBYTES
			' make a unique error message for each instance
			iTemp = CDbl(Trim(DOMAIN_Conf("SB_NEWS_INITIAL_UPLOADBYTES")))
			If ( ( iTemp < iFileSize ) And ( iTemp <> -1 ) ) Then
				sError = DOMAIN_Text("NEWS_FILE_EXCEEDS_MAXSIZE")
			End If

			If ( sError <> "" ) Then
				sError = sError & DOMAIN_Text("NEWS_UPLOADAGAIN")
				sFileName		= ""
				sExtension	= ""
				iFileSize	= 0
				sFileID		= ""
			Else			
				' save it
				objUpload("File1").SaveAs Server.MapPath(sFilePath)

				If ( UCase(sExtension) = "JPG" ) Or ( UCase(sExtension) = "PNG" ) Or ( UCase(sExtension) = "BMP" ) Then
					' if it's an image and ASPImage is installed, make a thumbnail of it
					Call CreateThumb("\" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "\", sFileID)
				End If

			End If
		End If
		Set lf = Nothing
		G_UPLOAD_SaveFile = sError
	End Function
	'************************************************************************************
	
	
	
	'************************************************************************************
	'*																					*
	'*	This deletes thumbnails and files when previewing so the user doesn't upload	*
	'*		one file and preview, go back and change the file they upload, and the		*
	'*		original is left on the server...so that doesn't happen.					*
	'*																					*
	'************************************************************************************
	Sub DelOldFiles()
		Dim sFilePath, lf, sFileID, iFileSize, f, iTtlUploaded, iNumUploaded
		
		sFileID = Request.Cookies("NewsAttach" & iDomainName)
		If ( sFileID <> "" ) Then
			' delete the files (main and possible thumbnail)
			Set lf = server.createObject("Scripting.FileSystemObject")
			sFilePath = "\" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "\" & sFileID
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			sFilePath = Server.MapPath(sFilePath)
			If ( lf.FileExists(sFilePath) ) Then
				Set f = lf.GetFile(sFilePath)
				iFileSize = f.size
				
				' the file exists - delete it
				lf.DeleteFile(sFilePath)

			End If
			sFilePath = "\" & DOMAIN_Conf("SB_NEWS_ATTACH_DIR") & "\" & "Thumb_" & sFileID
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			sFilePath = Server.MapPath(sFilePath)
			If ( lf.FileExists(sFilePath) ) Then
				' a thumbnail exists - delete it
				lf.DeleteFile(sFilePath)
			End If
			
			' clear the columns associated with attachments
			DBConnection.Execute "UPDATE News SET FileType='', FileName='', FileSize=0, FileID='' WHERE FileID = '" & sFileID & "'"
			
		End If

		
		' clear the cookie
		Response.Cookies("NewsAttach" & iDomainName) = ""
		Response.Cookies("NewsAttach" & iDomainName).Path = "/"
		Response.Cookies("NewsAttach" & iDomainName).Domain = Request.ServerVariables("SERVER_NAME")
		Response.Cookies("NewsAttach" & iDomainName).Expires = CDate(DateAdd("d", -1, NOW))
	End Sub
	'************************************************************************************

	
	
	'************************************************************************************
	'*																					*
	'*	This function makes a thumbnail of images										*
	'*																					*
	'************************************************************************************
	Sub CreateThumb(sFilePath, sFileID)
		Dim Image, intXSize, intYSize
		
		On Error Resume Next
		' Try and instantiate the ASPImage object - if can, then try & make a thumbnail
		Set Image = Server.CreateObject("AspImage.Image")
		If ( Err.Number <> 0 ) Then
			' cannot instanciate it
		Else
			sFilePath = Replace(sFilePath, "\", "/")
			sFilePath = Replace(sFilePath, "//", "/")
			intXSize = Int(DOMAIN_Conf("SB_NEWS_THUMBNAIL_WIDTH"))
			Image.LoadImage(Server.MapPath(sFilePath & sFileID))
	
			If (Image.ImageFormat=1 OR Image.ImageFormat=2 OR Image.ImageFormat=3) And (Image.MaxX>0) Then
				intYSize = Int((intXSize / Image.MaxX) * Image.MaxY)
				Image.Resize intXSize, intYSize
				Image.FileName = (Server.MapPath(sFilePath & "Thumb_" & sFileID))
				Image.SaveImage
			End If
		End If
		Set Image = Nothing
		On Error Goto 0
	End Sub
	'************************************************************************************
%>