<%
	'************************************************************************************
	'*																					*
	'*	Enters in the rights.															*
	'*																					*
	'************************************************************************************
	Sub SetRights()
		' the first part of the rights level (the numeric part) is the domain associated with the rights
		' the second part of the rights level (the character part) is the specific action or item associated with the right
		'	such as being able to delete an account or edit ADV's

		'NEWS
		'	Add/Edit/Delete Categories:		SB_NEWS_CATEGORIES
		'	Add/Edit/Delete Editors:		SB_NEWS_EDITORS
		
		'	Delete any News:				SB_NEWS_ADMIN_DELNEWS
		'	Add News to any category:		SB_NEWS_ADMIN_ADDNEWS
		'	Edit any News:					SB_NEWS_ADMIN_EDITNEWS
		
		'	Moderate News:					SB_NEWS_MODERATENEWS


		'CONFIGURATION VARIABLES
		'	Change News System Color:		SB_MC_CHANGE_NEWS_COLORS
		'	View News System Color:			SB_MC_VIEW_NEWS_COLORS
		'	Change News System Text:		SB_MC_CHANGE_NEWS_TEXT
		'	View News System Text:			SB_MC_VIEW_NEWS_TEXT
		'	View the live db info:			SB_NEWS_VIEW_LIVE_DB
		'	Change the live db info:		SB_NEWS_EDIT_LIVE_DB
		'	View SB_MAX_DOMAIN_ARTICLES conf var:	SB_CONF_VIEW_MAX_DOMAIN_ARTICLES
		'	Change SB_MAX_DOMAIN_ARTICLES conf var: SB_CONF_EDIT_MAX_DOMAIN_ARTICLES

		' Enter the rights constants
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_CATEGORIES','Add/Edit/Delete Categories',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_EDITORS','Add/Edit/Delete Editors',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_ADMIN_DELNEWS','Delete any News',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_ADMIN_ADDNEWS','Add News to any category',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_ADMIN_EDITNEWS','Edit any News',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_MODERATENEWS','Moderate News',6 FROM DomainInfo"
		
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_NEWS_COLORS','Change News System Color',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_NEWS_COLORS','View News System Color',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_CHANGE_NEWS_TEXT','Change News System Text',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_MC_VIEW_NEWS_TEXT','View News System Text',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_VIEW_LIVE_DB','Change News System live database information',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_NEWS_EDIT_LIVE_DB','View News System live database information',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_VIEW_MAX_DOMAIN_ARTICLES','View SB_MAX_DOMAIN_ARTICLES Configuration Variable.',6 FROM DomainInfo"
		DBConnection.Execute "INSERT INTO RightsLookup SELECT DomainUnq,'SB_CONF_EDIT_MAX_DOMAIN_ARTICLES','Edit SB_MAX_DOMAIN_ARTICLES Configuration Variable.',6 FROM DomainInfo"

		
		' Give the admin ALL rights
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 1,0,6,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 6"
		
		' Give the admin group ALL rights too
		DBConnection.Execute "INSERT INTO RIGHTS SELECT DISTINCT 0,1,6,DomainUnq,RightsLvl,GetDate(),NULL FROM RightsLookup WHERE SystemUnq = 6"

	End Sub
	'************************************************************************************
%>