<%
	'************************************************************************************
	'*																					*
	'*	Globals for displaying the contents of directories.								*
	'*																					*
	'************************************************************************************    	
	Dim sPath, sBasePath, sPartialBase, sParent
	Dim sServerPath, sBGColor
	Dim objFSO 										'FileSystemObject variable
	Dim objFolder 									'Folder variable
	Dim objItem 									'Variable used to loop through the contents of the folder
	Dim rsRadio
	Dim iPlayListUnq
	Dim bSongInPL
	Dim oMP3										' The ID3 tag COM Object
	Dim sPurchaseURL
	Dim iFormColumns, iFormWidth
	
	Const PUBLIC_PLAYLISTS			= 1
	Const PRIVATE_PLAYLISTS			= 2
	
	Const sFileTypes = ".ADN.ADP.AIF.AIFF.ASF.ASP.ASX.AU.AVI.B64.BAT.BHX.CAB.CDA.CHM.CSS.CSV.DIVX.DLL.DOC.DOCHTML.DOT.DOTHTML.EXE.FON.GZ.HQX.HTM.HTML.HTT.HTW.HTX.IVF.JS.JSE.LOG.LZH.M1V.M3U.MDA.MDB.MDE.MID.MIDI.MIM.MOV.MP1.MP2.MP2V.MP3.MPA.MPE.MPEG.MPG.MPP.MPT.MPV2.NFO.PCT.PCX.PDF.PDP.PDX.PFM.PIC.PICT.PLG.PLS.PS.PSD.PSF.PSP.PXR.QPX.QT.QTL.QTP.QTS.QTX.RAR.RAW.REG.RMI.RTF.SCP.SND.SPOP.STM.SVG.SVGZ.TAR.TAZ.TGA.TGZ.TIF.TIFF.TXT.TZ.URL.UU.UUE.VBS.VOC.WAV.WAX.WM.WMA.WMD.WMP.WMS.WMV.WMX.WMZ.WRI.WSZ.WTZ.WVX.XLA.XLB.XLC.XLD.XLK.XLL.XLM.XLS.XLSH.XLT.XLTH.XLV.XLW.XXE.Z.ZIP.OGG.RA.VOB.RV.RM"
	Const sRAAudioTypes = ".MP3.RA.CDA.WMA.WAV.MP2.MP1.MPGA.PLS.XPL.SMI.SMIL.RT.MNS.MND.RM.RMVB.RP.SSM.RV.AU.AIFF.AIF.R3T.MID.MIDI.RMI.ACP.LQT.LAVS.LAR.LA1.VPG.OGG.VOB"
	Const sWinampAudioTypes = ".MP3.BPL.B4S.PLS.CDA.MID.MIDI.MIZ.MOD.MOZ.STM.STZ.S3M.S3Z.IT.ITZ.XM.XMZ.MTM.ULT.669.UMX.MP2.MP1.NSV.OGG.WAV.AIFF.AIF.AU.SND.VOC"
	Const sWindowsAudioTypes = ".WMA.WMP.ASF.ASX.WM.WMX.WAX.WMV.WVX.AVI.WAV.MPEG.MPG.MPE.M1V.MP2.MPV2.MP2V.MPA.M3U.MID.MIDI.RMI.IVF.AIF.AIFC.AIFF.AU.SND.CDA"
	
	'************************************************************************************
	'*																					*
	'*	Open the connection and command objects for the Radio database.	 				*
	'*																					*
	'************************************************************************************
	Sub DB_OpenRadio()
	
		sServerPath		= DOMAIN_Conf("RADIO_SERVERPATH")
		sBasePath		= DOMAIN_Conf("RADIO_BASEPATH")
		sPartialBase	= DOMAIN_Conf("RADIO_PARTIALBASE")
		iTableWidth		= DOMAIN_Conf("RADIO_TABLEWIDTH")
		iFormColumns 	= DOMAIN_Conf("RADIO_FORMCOLUMNS")
		iFormWidth 		= DOMAIN_Conf("RADIO_FORMWIDTH")
	
		sPath = Trim(Request("sPath")) & "/"	' must have the trailing "/"
		sPath = Replace(sPath, "//", "/")		' sometimes it gets two
		If (sPath = "/") Then
			sPath = sBasePath
		End If

		If (Request("iPlayListUnq") <> "") Then
			iPlayListUnq = CDbl(Request("iPlayListUnq"))
		Else
			iPlayListUnq = -1
		End If

		Set oMP3 = Server.CreateObject("ASPID32.ID3ActiveX")

	End Sub
	
	
	'************************************************************************************
	'*																					*
	'*	Close the connection and command objects for the databases.			 			*
	'*																					*
	'************************************************************************************
	Sub DB_CloseRadio()

		SET DBConnection = nothing
		SET DBCommand = nothing
		Set oMP3 = Nothing
	End Sub
	'************************************************************************************
	
	
	'************************************************************************************
	'*																					*
	'*	Get the song information from the database.							 			*
	'*																					*
	'************************************************************************************
	Sub GetSongInfo(iSongUnq, sDescription, iRating, iNumRaters, sArtist, sCD, ByVal sFileName, ByVal sDBPath, sTitle, sYear, sGenre, sTrack)
		Dim sSql
		Dim sTmpFilename
		Dim sTmpRadio, sTempOverride
		
		On Error Resume Next
	
		sSql = "SELECT * FROM Songs S (NOLOCK) LEFT OUTER JOIN  SongInfo I (NOLOCK) ON S.SongUnq = I.SongUnq WHERE S.DomainUnq = " & iDomainName & " AND S.Directory = '" & SQLEncode(sDBPath) & "' AND S.FileName = '" & SQLEncode(sFileName) & "'"
		Set rsRadio = CreateObject("ADODB.Recordset")
		rsRadio.Open sSQL, DBConnection
		If ( rsRadio.EOF ) Then
			rsRadio.Close
			sDescription = ""
			sArtist = ""
			sCD = ""
			sTitle = ""
			sYear = ""
			sGenre = ""
			sTrack = ""
			sTmpFilename = sBasePath & sDBPath & sFileName
			sTmpFilename = Server.MapPath(sTmpFilename)
			If (InStr(UCase(sFileName), ".MP3")) Then	' only try reading the ID3 tag from .mp3 files
				oMP3.LoadID3(CStr(sTmpFilename))
					sDescription = SQLEncode(oMP3.GetComments())
					sArtist = SQLEncode(oMP3.GetArtist())
					sCD = SQLEncode(oMP3.GetAlbum())
					sTitle = SQLEncode(oMP3.GetTrackTitle())
					sYear = Left(SQLEncode(oMP3.GetYear()), 4)
					sGenre = SQLEncode(oMP3.GetGenre())
				oMP3.flush()
				oMP3.Reset()
			End If
			DBConnection.Execute "INSERT INTO Songs VALUES ('" & sDescription & "', 0, 0, '" & sArtist & "', '" & sCD & "', '" & SQLEncode(sFileName) & "', '" & sDBPath & "', '" & sTitle & "', '" & sYear & "', '" & sGenre & "', '" & sTrack & "', " & iDomainName & ")"
			rsRadio.Open "SELECT @@IDENTITY", DBConnection
			If ( NOT rsRadio.EOF ) Then
				iSongUnq = (-1 * CDbl(rsRadio(0)))	' a negative number means it's a new song
			End If
			rsRadio.Close
			iRating = 0
			iNumRaters = 0
		Else
			iSongUnq = rsRadio(0)	' using the index because using "SongUnq" sometimes returns nothing - ASP bug
			iRating = rsRadio("Rating")
			iNumRaters = rsRadio("NumRaters")
			
			sTempOverride = Trim(rsRadio("OverrideDesc"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sDescription = rsRadio("Description")
			Else
				sDescription = rsRadio("ExtraDesc")
			End If
			sTempOverride = Trim(rsRadio("OverrideArtist"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sArtist = rsRadio("Artist")
			Else
				sArtist = rsRadio("ExtraArtist")
			End If
			sTempOverride = Trim(rsRadio("OverrideCD"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sCD = rsRadio("CD")
			Else
				sCD = rsRadio("ExtraCD")
			End If
			sTempOverride = Trim(rsRadio("OverrideTitle"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sTitle = rsRadio("Title")
			Else
				sTitle = rsRadio("ExtraTitle")
			End If
			sTempOverride = Trim(rsRadio("OverrideYear"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sYear = rsRadio("Year")
			Else
				sYear = rsRadio("ExtraYear")
			End If
			sTempOverride = Trim(rsRadio("OverrideGenre"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sGenre = rsRadio("Genre")
			Else
				sGenre = rsRadio("ExtraGenre")
			End If
			sTempOverride = Trim(rsRadio("OverrideTrack"))
			If ( ( IsNull(sTempOverride) ) Or ( sTempOverride = "N" ) Or ( sTempOverride = "" ) ) Then
				sTrack = rsRadio("Track")
			Else
				sTrack = rsRadio("ExtraTrack")
			End If
			
			sPurchaseURL = Trim(rsRadio("PurchaseURL"))
			sOverrideRights = rsRadio("OverrideRights")
			rsRadio.Close
		End If
		Set rsRadio = Nothing
	End Sub
	'************************************************************************************

	
	'************************************************************************************
	'*																					*
	'*	Get the song information from the database.							 			*
	'*		The sASP is the file (EditSongs.asp or SongList.asp) to	loop back to when	*
	'*		going up or down a directory level.											*
	'*																					*
	'************************************************************************************
	Sub DispDir(sASP)
		On Error Resume Next
		Dim iPos, sLinkColor, sTextColor

		Set objFSO = Server.CreateObject("Scripting.FileSystemObject")
		Set objFolder = objFSO.GetFolder(Server.MapPath(sPath))

		If ( UNLIMITED_MP3S ) Then	' license letting the user have unlimited directories/mp3's in the system
			If ( Err.Number <> 0 ) Then
				Call DOMAIN_Message(Replace(DOMAIN_Text("RADIO_CANT_CREATE_OBJECT"), "1:", sPath) & Err.Description, "ERROR")
			Else
			    iPos = InStrRev(sPath, "/", Len(sPath)-1)
			    sParent = Left(sPath, iPos)
			    %>
				<table width=<%=iTableWidth%> cellpadding = 1 cellspacing = 0 border = 0><tr><td bgcolor = <%=DOMAIN_Color("RadioBorderColor1")%> align=center>
				<table cellpadding=5 width=<%=iTableWidth%> cellspacing = 0 border = 0>
					<tr>
						<td bgcolor=<%=DOMAIN_Color("RadioBGColor1")%>>
							<%
							If ( Len(sParent) >= Len(sPartialBase) ) Then	'so don't get undefined error
							    If (sParent <> "") And (Right(sParent, Len(sPartialBase+"/")) <> (sPartialBase+"/")) Then
									aVariables(0) = "sPath"
									aVariables(1) = "iPlayListUnq"
									aValues(0) = sParent
									aValues(1) = iPlayListUnq
							    	sParent = "<tr><td colspan=3><a href = '" & sASP & ".asp?" & DOMAIN_Link("G") & "'><img src = '/WS_Content/Radio/Images/Dir_Up.gif' border=0></a>&nbsp;<a href = '" & sASP & ".asp?" & DOMAIN_Link("G") & "' class='MediumNav1'>" & sParent & "</a></td></tr>"
							    Else
							    	sParent = "<tr><td colspan=3></td></tr>"
							    End If
						    Else
						    	sParent = "<tr><td colspan=3></td></tr>"
							End If
			    
						    If (objFolder.SubFolders.Count > 0) Then
							    %>
							    <TABLE cellspacing="0" cellpadding="3" border = 0 width = 100% bgcolor="<%=DOMAIN_Color("RadioBGColor1")%>">
							    	<TR>
							    		<TD>
							    			<B><I><font color="<%=DOMAIN_Color("RadioTextColor1")%>"><%= sPath %></font></I></b>
							    		</TD>
							    		<TD align="CENTER" valign = bottom><font color="<%=DOMAIN_Color("RadioTextColor1")%>"><b><%=DOMAIN_Text("FILES")%></b></TD>
							    		<TD align="CENTER"><font color="<%=DOMAIN_Color("RadioTextColor1")%>"><b><%=DOMAIN_Text("SUB_DIR")%></b></TD>
							    	</TR>
							    	<%
							    	Response.Write sParent
							    	sBGColor = DOMAIN_Color("RadioPageBGColor")
								    For Each objItem In objFolder.SubFolders
								    	If InStr(1, objItem, "_vti", 1) = 0 Then
								    		If (sBGColor = DOMAIN_Color("RadioBGColor2")) Then
								    			sBGColor = DOMAIN_Color("RadioPageBGColor")
								    			sLinkColor = "MediumNavPage"
								    			sTextColor = DOMAIN_Color("RadioPageText")
								    		Else
								    			sBGColor = DOMAIN_Color("RadioBGColor2")
								    			sLinkColor = "MediumNav2"
								    			sTextColor = DOMAIN_Color("RadioTextColor2")
								    		End If
									    	%>
									    	<TR>
									    		<TD bgcolor = <%=sBGColor%>>
									    			<%
													aVariables(0) = "sPath"
													aVariables(1) = "iPlayListUnq"
													aValues(0) = sPath & objItem.Name
													aValues(1) = iPlayListUnq
													%>
									    			<A href="<%= sASP %>.asp?<%=DOMAIN_Link("G")%>"><IMG SRC="/WS_Content/Radio/Images/Dir_Dir.gif" BORDER=0></a>
									    			<A href="<%= sASP %>.asp?<%=DOMAIN_Link("G")%>" class='<%=sLinkColor%>'><%= objItem.Name %></A>
									    		</TD>
									    		<TD align="center" bgcolor = <%=sBGColor%>>
									    			<%
									    			If (objItem.Files.Count > 0) Then
									    				Response.Write "<font color='" & sTextColor & "'>" & objItem.Files.Count & "</font>"
									    			Else
									    				Response.Write "&nbsp;"
									    			End If
									    			%>
									    		</TD>
									    		<td align = center bgcolor = <%=sBGColor%>>
									    			<%
									    			If (objItem.SubFolders.Count > 0) Then
									    				Response.Write "<font color='" & sTextColor & "'>" & objItem.SubFolders.Count & "</font>"
									    			Else
									    				Response.Write "&nbsp;"
									    			End If
									    			%>
									    		</td>
									    	</TR>
									    	<%
								    	End If
								    Next
							    	%>
							    </table>
							<%
							Else
								Response.Write "<B><I><font color='" & DOMAIN_Color("RadioPageText") & "'" & sPath & "</font></I></b><br><table width=100" & "%" & " cellspacing=5 cellpadding=0 border=0 bgcolor=" & DOMAIN_Color("RadioPageBGColor") & ">" & sParent & "</table>"
							End If
							%>
						</td>
					</tr>
			    </table>
			    </td></tr></table>
				<%
	
			End If
		End If
		On Error Goto 0

	End Sub
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	Check to see if the song is in the playlist that's currently being edited.		*
	'*																					*
	'************************************************************************************
	Function bInPlayList(iSongUnq, iPlayListUnq, iAccountUnq)
		Dim sSql
	
		bInPlayList = FALSE
		
		sSql = "SELECT L.AccountUnq FROM SongsInPL P (NOLOCK), PlayLists L (NOLOCK) WHERE P.SongUnq = " & iSongUnq & " AND P.PlayListUnq = " & iPlayListUnq & " AND P.PlayListUnq = L.PlayListUnq AND L.DomainUnq = " & iDomainName
		Set rsRadio = CreateObject("ADODB.Recordset")
		rsRadio.Open sSQL, DBConnection
		If ( NOT rsRadio.EOF ) Then
			bInPlayList = TRUE
			iAccountUnq = rsRadio("AccountUnq")	' for use in determining if the person currently logged in has this song in their playlist and if they can remove it from the playlist
		End If
		rsRadio.Close
		Set rsRadio = Nothing
	End Function
	'************************************************************************************
	


	'************************************************************************************
	'*																					*
	'*	Spit out the text to stream the playlist.										*
	'*	make sure the MIME type is set up in the web server: audio/x-mpegurl       m3u	*
	'*	The sSampDir is so a subdirectory can be passed and only songs within that		*
	'*		directory tree will be in the random list. So can say "this is a list of	*
	'*		random GOA songs or random POP songs, etc.									*
	'*																					*
	'************************************************************************************  
	Function MakeRndPL(iNumToReturn, sDestFileName, sSampDir)
		Dim sSQL
		Dim fso, fFile
		Dim sTemp
		Dim dSongUnq, dSongTitle
		Dim iCount, x, iRandom, iNumSongs, sCompletePath, sTempDir, sTempFile
		
		On Error Resume Next
		
		MakeRndPL = FALSE
		
		' Get the total number of songs in the db
		Randomize
		Set dSongUnq = CreateObject("Scripting.Dictionary")
		Set dSongTitle = CreateObject("Scripting.Dictionary")
		iCount = 0
		If (sSampDir = "") Then
			sSQL = "SELECT Count(*) FROM Songs (NOLOCK)"
		Else
			sSQL = "SELECT Count(*) FROM Songs (NOLOCK) WHERE Directory LIKE '%" & sSampDir & "%'"
		End If
		Set rsRadio = CreateObject("ADODB.Recordset")
		rsRadio.Open sSQL, DBConnection
	    If (NOT rsRadio.EOF) Then
			iNumSongs = rsRadio(0)
			rsRadio.Close
			If ( iNumSongs > iNumToReturn ) Then
				If (sSampDir = "") Then
					sSQL = "SELECT Directory, FileName, SongUnq, Title, Artist FROM Songs (NOLOCK)"
				Else
					sSQL = "SELECT Directory, FileName, SongUnq, Title, Artist FROM Songs (NOLOCK) WHERE Directory LIKE '%" & sSampDir & "%'"
				End If
				Set rsRadio = CreateObject("ADODB.Recordset")
				rsRadio.Open sSQL, DBConnection, adOpenKeyset
			    If (NOT rsRadio.EOF) Then
					Set fso = CreateObject("Scripting.FileSystemObject")
					While (iCount < iNumToReturn)
						iRandom = Int((iNumSongs * Rnd) + 1)
							If (iRandom < iNumSongs) And (iRandom > 0) Then
							rsRadio.Move iRandom, adBookmarkFirst
							If (NOT rsRadio.EOF) And (NOT rsRadio.BOF) Then
								sTempDir = rsRadio("Directory")	' must do this because it's a stupid text field and after the 1st access, the fields are corrupt
								sTempFile = rsRadio("FileName")
								' check to make sure the song still exists on the harddrive
								sCompletePath = sBasePath & sTempDir & sTempFile
								If (InStr(sCompletePath, ",") = 0) Then	' ok mappath sux. it crashes if the filename has a comma or "&" in it!
									If (fso.FileExists(Server.MapPath(sCompletePath))) Then
										' check to make sure that SongUnq isn't already in the song list
										If (NOT dSongUnq.Exists(rsRadio("SongUnq"))) Then
											' add it to the array of songs to put in the playlist
			    							' The M3U format specifies that a -1 time means we don't know how many seconds the song is.
									    	sTemp = "http://" & Request.ServerVariables("SERVER_NAME") & sCompletePath
									    	sTemp = Replace (sTemp, " ", "%20")
									    	sTemp = Replace (sTemp, ",", "%44")	' some songs have commas in them.
											dSongUnq.Add iCount, sTemp
											If (Trim(rsRadio("Title"))="") And (Trim(rsRadio("Title"))="") Then
												dSongTitle.Add iCount, rsRadio("FileName")
											Else
												dSongTitle.Add iCount, Trim(rsRadio("Title")) & "--" & Trim(rsRadio("Artist"))
											End If
											iCount = iCount + 1
										End If
									Else
										' delete that entry from the database and try getting another one
										DBConnection.Execute "DELETE FROM Songs WHERE SongUnq = " & rsRadio("SongUnq")
									End If
								End If
							End If
						End If
					Wend
					' now that we got the list, add the entries to the M3U file
					Set fso = CreateObject("Scripting.FileSystemObject")
					Set fFile = fso.OpenTextFile(sServerPath & "\Playlists\" & sDestFileName & ".m3u", 2, True)
					fFile.Write "#EXTM3U" & VbCrlf
				    For x = 1 To iCount
						fFile.Write "#EXTINF:-1, " & dSongTitle.Item(x) & VbCrlf
						fFile.Write dSongUnq.Item(x) & VbCrlf
			    	Next
			    	fFile.Close
					MakeRndPL = TRUE
				End If
				rsRadio.Close
			Else
				MakeRndPL = FALSE
			End If
		Else
			rsRadio.Close
		End If
		Set rsRadio = Nothing
		
		On Error GoTo 0
	End Function
	'************************************************************************************ 
%>