CREATE PROCEDURE DOMAIN_Color (
	@sPrintMe		CHAR(1),
	@sOwnTrans		CHAR(1),
	@sRtnMsg		VARCHAR(75) = NULL OUTPUT,

	/* other vars with descriptions */
	@sColorConst		VARCHAR(255) = '',
	@iColorScheme		INT = 0,
	@iDomainName		INT = 0
)
WITH ENCRYPTION
AS

/* Additional variables used in this procedure */
DECLARE
	@iRtnCode    		INT,				/* Return 0 for success, prefer positive values for failure */
	@sValue				VARCHAR(255)


/* Initialize the main variables in use */
SELECT @iRtnCode = 0

SELECT @sValue = @sColorConst

IF @sColorConst = '' BEGIN
	SELECT @iRtnCode = -1
	GOTO Proc_Finalize
END

If @iColorScheme <= 0 BEGIN
	SELECT @iRtnCode = -3
	GOTO Proc_Finalize
END

If @iDomainName <= 0 BEGIN
	SELECT @iRtnCode = -2
	GOTO Proc_Finalize
END


SELECT @sValue = Value FROM ColorMap (NOLOCK) WHERE 
	ColorConst = @sColorConst AND 
	SchemeUnq = @iColorScheme AND 
	DomainUnq = @iDomainName



Proc_Finalize:


/* Create a recordset output if requested */
IF @sPrintMe = 'Y'
	SELECT @sValue "Value", @iRtnCode "RtnCode", @sRtnMsg "RtnMessage"

RETURN @iRtnCode