<%
	'************************************************************************************
	'*																					*
	'*	Enters in the rights.															*
	'*																					*
	'************************************************************************************
	Sub SetRights()
		' the first part of the rights level (the numeric part) is the domain associated with the rights
		' the second part of the rights level (the character part) is the specific action or item associated with the right
		'	such as being able to delete an account or edit ADV's
		'ACCOUNTS
		'	Manage Accounts (MA)
		'		Create NEW Accounts: 		SB_MA_CREATE_NEW
		'		REVOKE Accounts: 			SB_MA_REVOKE
		'		UPDATE Accounts:			SB_MA_UPDATE
		'		VIEW PASSWORDS:				SB_MA_VIEW_PW
		'		REINSTATE Accounts: 		SB_MA_REINSTATE
		'		Change domains accounts can access:			SB_MA_CHANGE_DOMAINS
		'	Manage Rights (MR)
		'		MODIFY Rights:				SB_MR_MODIFY
		'		VIEW Rights:				SB_MR_VIEW
		'	Manage ADV's (MADV)
		'		ADD New ADV:				SB_MADV_ADD
		'		EDIT ADV:					SB_MADV_EDIT
		'		DELETE ADV:					SB_MADV_DELETE
		'		Add ADV to an ADV Group:	SB_MADV_ADD_TO_ADV_GROUP		(this also allows someone to create a new group since they can add it to a group that doesn't yet exist)
		'		Remove ADV from an ADV Group:SB_MADV_REMOVE_FROM_ADV_GROUP
		'	User Data (UD)
		'		VIEW Other Users:			SB_UD_VIEW
		'		EDIT Users Data:			SB_UD_EDIT
		'	Initial Rights (IR)
		'		CHANGE Initial Rights:		SB_IR_UPDATE			Be careful about assigning this right. Someone could specify administrative rights to new users and create themself a new account to have all the rights.
		'	User Groups (UG)
		'		UPDATE Group and Users
		'			in the Group settings:	SB_UG_UPDATE
		'		ADD Groups:					SB_UG_ADDGROUP
		'		UPDATE Group Rights:		SB_UG_GROUPRIGHTS
		'		DELETE Groups:				SB_UG_DELETEGROUP
		'		ADD Accounts to Groups:		SB_UG_ADDACCOUNT
		'		REMOVE Accounts from Groups:SB_UG_REMOVEACCOUNTS
		'	Mailing List (ML)
		'		CREATE List					SB_ML_CREATE
		'		DELETE List					SB_ML_DELETE
		'		EDIT List					SB_ML_EDIT
		'		ADD users to lists			SB_ML_ADD
		'		REMOVE users from lists		SB_ML_REMOVE
		'		SEND emails to lists		SB_ML_SEND
		'	Polls (P)
		'		Create new poll				SB_P_CREATE
		'		Delete poll					SB_P_DELETE
		'		Edit poll					SB_P_EDIT
		'		Add answers					SB_P_ADDANSWERS
		'		Delete answers				SB_P_DELANSWERS
		'		Edit answers				SB_P_EDITANSWERS
		'		Reset number answered		SB_P_RESET
		
		'DOMAINS
		'	Manage Actions (MACT)
		'		Create NEW Action:			SB_MACT_CREATE_NEW
		'		DELETE Action:				SB_MACT_DELETE
		'		UPDATE Action:				SB_MACT_UPDATE
		'		Use ASP in Actions:			SB_MACT_USE_ASP
		'	Manage Colors (MC)
		'		Create NEW Color:			SB_MC_NEW_COLOR
		'		REMOVE Color:				SB_MC_REMOVE_COLOR
		'		UPDATE Color:				SB_MC_UPDATE_COLOR
		'		Create NEW Color Scheme:	SB_MC_NEW_SCHEME
		'		DELETE Color Scheme:		SB_MC_DELETE_SCHEME
		'	Manage Configurations (MCONF)
		'		Create NEW Conf Const:		SB_MCONF_CREATE_NEW		Be careful about giving people rights to even view this information. It holds information about database logins, the ASP Delimiter and more.
		'		DELETE Conf Const:			SB_MCONF_DELETE
		'		UPDATE Conf Const:			SB_MCONF_UPDATE
		'		Edit Conf Const Rights:		SB_MCONG_EDIT_RIGHTS
		'	Manage Domains (MD)
		'		Create NEW Domain:			SB_MD_CREATE_NEW
		'		DELETE Domain:				SB_MD_DELETE			Be careful about assigning this ability. Removing a domain will render that domain unusable. Removing domains is final - there is no undo.
		'		UPDATE Domain:				SB_MD_UPDATE
		'		Add/modify Domain to Domain Group:	SB_MD_MODIFY_DOMAIN		If you have this right on a domain, you can add it to a group.
		'		Export Domains:				SB_MD_EXPORT
		'		Import Domains:				SB_MD_IMPORT
		'	Manage Text (MT)
		'		Create NEW Text Const:		SB_MT_NEW_CONST
		'		REMOVE Text Const:			SB_MT_REMOVE_CONST
		'		UPDATE Text Const:			SB_MT_UPDATE_CONST
		'		Create NEW Text Scheme:		SB_MT_NEW_SCHEME
		'		DELETE Text Scheme:			SB_MT_DELETE_SCHEME		If you delete the current text scheme, all the text constants will be displayed in the place of the text that was originally there.
		'	Manage Systems (MS)
		'		Create NEW System:			SB_MS_CREATE_NEW
		'		DELETE System:				SB_MS_DELETE			Be very careful about this. Deleting SiteBeater Systems can destroy your website!
		'		UPDATE System:				SB_MS_UPDATE			This is another one to be careful about because if someone erroneously updates a System, it too can destroy your website.
		'	Manage Servers (MSE)
		'		Create NEW Server:			SB_MSE_CREATE_NEW
		'		UPDATE Server:				SB_MSE_UPDATE
		'		DELETE Server:				SB_MSE_DELETE
		'		Add DNS to Server:			SB_MSE_ADD_DNS			This allows the admin to add the DNS entry for new Domains from this Domain.
		'		Add this Domain to Server:	SB_MSE_ADD_DOMAIN		This allows the admin to add the Domain to the list of domains on the server.
		'	Migrate (MIG)
		'		Migrate Actions:			SB_MIG_ACTIONS			If the Action has the cCODE_DELIMITER in it, the admin must also have rights on the dest server to view the cCODE_DELIMITER
		'		Migrate Colors:				SB_MIG_COLORS
		'		Migrate Color Schemes:		SB_MIG_COLORSCHEMES
		'		Migrate Conf Variables:		SB_MIG_CONFVAR
		'		Migrate Texts:				SB_MIG_TEXTS
		'		Migrate Text Schemes:		SB_MIG_TEXTSCHEMES
		'	Logging (LOG)
		'		View past log - Accounts	SB_LOG_VIEW_1
		'		View past log - Domains		SB_LOG_VIEW_8
		'		Delete past log - Accounts	SB_LOG_DELETE_1
		'		Delete past log - Domains	SB_LOG_DELETE_8
		'		Rollback log - Accounts		SB_LOG_ROLLBACK_1
		'		Rollback log - Domains		SB_LOG_ROLLBACK_8		

		
		' CONFIGURATION VARIABLES
		'		Change cCODE_DELIMITER:		SB_MCONG_EDIT_cCODE_DELIMITER
		'		View cCODE_DELIMITER:		SB_MCONG_VIEW_cCODE_DELIMITER
		'		Change Account System Color:SB_MC_CHANGE_ACCOUNTS_COLORS
		'		View Account System Color:	SB_MC_VIEW_ACCOUNTS_COLORS
		'		Change Domains System Color:SB_MC_CHANGE_DOMAINS_COLORS
		'		View Domains System Color:	SB_MC_VIEW_DOMAINS_COLORS
		'		Change mailing method:		SB_MC_CHANGE_EMAIL_METHOD	This is to change the email method from ASPMail to CDONTS
		'		Edit LIVE DB Conf Var:		SB_CONF_EDIT_LIVE_DB
		'		View LIVE DB Conf Var:		SB_CONF_VIEW_LIVE_DB
		'		Edit ACCOUNT_TEXT Conf Var:	SB_CONF_CHANGE_ACCOUNTS_TEXT
		'		View ACCOUNT_TEXT Conf Var:	SB_CONF_VIEW_ACCOUNTS_TEXT
		'		Edit DOMAINS_TEXT Conf Var:	SB_CONF_CHANGE_DOMAINS_TEXT
		'		View DOMAINS_TEXT Conf Var:	SB_CONF_VIEW_DOMAINS_TEXT
		'		Edit LOGGING_ENABLED Conf Var: SB_CONF_CHANGE_LOGGING
		'		View max # accounts for domain: SB_CONF_VIEW_MAX_DOMAIN_ACCOUNTS
		'		Edit max # accounts for domain: SB_CONF_EDIT_MAX_DOMAIN_ACCOUNTS
		'		View SB_WEBROOT:			SB_CONF_VIEW_WEBROOT
		'		Edit SB_WEBROOT:			SB_CONF_EDIT_WEBROOT

 
		' Enter the rights constants
		' ACCOUNTS
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_CREATE_NEW','Create NEW Accounts',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_REVOKE','REVOKE Accounts',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_UPDATE','UPDATE Accounts Login/Password''s',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_VIEW_PW','Rights to view passwords (update rights not required).',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_REINSTATE','REINSTATE Revoked Accounts',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MA_CHANGE_DOMAINS','Right to change which domain(s) an account can log into.',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MR_MODIFY','MODIFY Users Rights',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MR_VIEW','VIEW Users Rights',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MADV_ADD','ADD New ADV''s',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MADV_EDIT','EDIT ADV''s',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MADV_DELETE','DELETE ADV''s',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MADV_ADD_TO_ADV_GROUP','Add an ADV to an ADV Group - this is only useful if the user also has this right on other domains.',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MADV_REMOVE_FROM_ADV_GROUP','Remove an ADV from an ADV Group - this is only useful if the user also has this right on other domains.',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UD_VIEW','VIEW Other Users Data',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UD_EDIT','EDIT Users Data',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_IR_UPDATE','Add and delete Initial Rights',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_UPDATE','UPDATE Group and Users in the Group settings',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_ADDGROUP','ADD Groups',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_GROUPRIGHTS','UPDATE Group Rights',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_DELETEGROUP','DELETE Groups',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_ADDACCOUNT','ADD Accounts to Groups',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_UG_REMOVEACCOUNTS','REMOVE Accounts from Groups',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_CREATE','CREATE Mailing List',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_DELETE','DELETE Mailing List',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_EDIT','EDIT Mailing List',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_ADD','ADD users to Mailing lists',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_REMOVE','REMOVE users from Mailing lists',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_ML_SEND','SEND emails to users on Mailing lists',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_CREATE','Create new polls',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_DELETE','Delete poll',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_EDIT','Edit poll',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_ADDANSWERS','Add poll answers',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_DELANSWERS','Delete poll answers',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_EDITANSWERS','Edit poll answers',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_P_RESET','Reset number answered',1)"

		
		' DOMAINS
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MACT_CREATE_NEW','Create NEW Actions',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MACT_DELETE','DELETE Actions',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MACT_UPDATE','UPDATE Actions',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MACT_USE_ASP','Use ASP in Actions',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_NEW_COLOR','Create NEW Colors',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_REMOVE_COLOR','REMOVE Colors',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_UPDATE_COLOR','UPDATE Colors',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_NEW_SCHEME','Create NEW Color Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_DELETE_SCHEME','DELETE Color Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MCONF_CREATE_NEW','Create NEW Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MCONF_DELETE','DELETE Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MCONF_UPDATE','UPDATE Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MCONG_EDIT_RIGHTS','View and Edit rights associated with Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_CREATE_NEW','Create NEW Domains',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_DELETE','DELETE Domains',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_UPDATE','UPDATE Domains',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_MODIFY_DOMAIN','Add Domains to Domain Groups.',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_EXPORT','Export Domains.',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MD_IMPORT','Import Domains.',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MT_NEW_CONST','Create NEW Text Constants',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MT_REMOVE_CONST','REMOVE Text Constants',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MT_UPDATE_CONST','UPDATE Text Constants',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MT_NEW_SCHEME','Create NEW Text Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MT_DELETE_SCHEME','DELETE Text Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MS_CREATE_NEW','Create NEW Systems',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MS_DELETE','DELETE Systems',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MS_UPDATE','UPDATE Systems',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MSE_CREATE_NEW','Create NEW Server',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MSE_UPDATE','UPDATE Servers',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MSE_DELETE','DELETE Servers',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MSE_ADD_DNS','Add DNS to Servers',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MSE_ADD_DOMAIN','Add this Domain to Server',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_ACTIONS','Migrate Actions (must have rights to view cCODE_DELIMITER Conf Var on dest Domain(s) to migrate Actions with cCODE_DELIMITER in them)',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_COLORS','Migrate Colors',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_COLORSCHEMES','Migrate Color Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_CONFVAR','Migrate Conf Variables',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_TEXTS','Migrate Texts',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MIG_TEXTSCHEMES','Migrate Text Schemes',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_VIEW_1','View past log entries - Accounts',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_VIEW_8','View past log entries - Domains',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_DELETE_1','Delete past log entries - Accounts',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_DELETE_8','Delete past log entries - Domains',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_ROLLBACK_1','Rollback log - Accounts',8)"
		'DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_LOG_ROLLBACK_8','Rollback log - Domains',8)"
		

		' CONFIGURATION VARIABLES
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_EDIT_LIVE_DB','Edit the LIVE_DB Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_LIVE_DB','View the LIVE_DB Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_EDIT_cCODE_DELIMITER','Edit the cCODE_DELIMITER Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_cCODE_DELIMITER','View the cCODE_DELIMITER Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_CHANGE_ACCOUNTS_COLORS','Edit the ACCOUNTS_COLORS Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_ACCOUNTS_COLORS','View the ACCOUNTS_COLORS Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_CHANGE_DOMAINS_COLORS','Edit the DOMAINS_COLORS Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_DOMAINS_COLORS','View the DOMAINS_COLORS Configuration Variable',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_CHANGE_ACCOUNTS_TEXT','Edit the ACCOUNTS_TEXT Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_ACCOUNTS_TEXT','View the ACCOUNTS_TEXT Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_CHANGE_DOMAINS_TEXT','Edit the DOMAINS_TEXT Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_DOMAINS_TEXT','View the DOMAINS_TEXT Configuration Variables',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_MC_CHANGE_EMAIL_METHOD','Change the email method from ASPMail to CDONTS',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_CHANGE_LOGGING','Rights to turn logging on or off.',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_MAX_DOMAIN_ACCOUNTS','Rights to view max # accounts for domain.',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_EDIT_MAX_DOMAIN_ACCOUNTS','Rights to edit max # accounts for domain.',1)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_VIEW_WEBROOT','Rights to view the SB_WEBROOT conf var.',8)"
		DBConnection.Execute "INSERT INTO RightsLookup VALUES (" & iDomain & ",'SB_CONF_EDIT_WEBROOT','Rights to edit the SB_WEBROOT conf var.',8)"
		
		
		' Give the admin ALL rights
		DBConnection.Execute "INSERT INTO RIGHTS SELECT 1,0,SystemUnq," & iDomain & ",RightsLvl,GetDate(),NULL FROM RightsLookup WHERE DomainUnq=" & iDomain
		
		' Create the SiteBeater Owners Group
		DBConnection.Execute "INSERT INTO Groups VALUES (1, " & iDomain & ", 'SiteBeater Owners', 'Complete rights for the SiteBeater System on ALL Domains.', 'S', '', '')"
		DBConnection.Execute "INSERT INTO RIGHTS SELECT 0, 1, SystemUnq, " & iDomain & ", RightsLvl, GetDate(), NULL FROM RightsLookup"
		
		' Add the admin to the SiteBeater Owner Group
		DBConnection.Execute "INSERT INTO GroupMap VALUES (1, 1, 0, 0, 'Y', " & iDomain & ")"
		

	End Sub
	'************************************************************************************
%>